package com.fjhx.victoriatourist.service.order;

import com.baomidou.dynamic.datasource.annotation.DSTransactional;
import com.fjhx.victoriatourist.entity.order.po.OrderInfo;
import com.fjhx.wms.entity.stock.dto.StockWaitDetailsDto;
import com.fjhx.wms.entity.stock.dto.StockWaitDto;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.order.vo.OrderInfoVo;
import com.fjhx.victoriatourist.entity.order.dto.OrderInfoSelectDto;
import com.fjhx.victoriatourist.entity.order.dto.OrderInfoDto;


/**
 * <p>
 * 订单 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-17
 */
public interface OrderInfoService extends BaseService<OrderInfo> {

    /**
     * 订单分页
     */
    Page<OrderInfoVo> getPage(OrderInfoSelectDto dto);

    /**
     * 订单明细
     */
    OrderInfoVo detail(Long id);

    /**
     * 订单新增
     */
    void add(OrderInfoDto orderInfoDto);

    /**
     * 订单编辑
     */
    void edit(OrderInfoDto orderInfoDto);

    /**
     * 订单删除
     */
    void delete(Long id);

    /**
     * 销售订单出库
     */
    void outbound(StockWaitDetailsDto stockWaitDetailsDto);

    /**
     * 销售订单出库 多条
     */
    void outbounds(StockWaitDto stockWaitDto);
}
